Get Config

Get Config

Fetch the SDDC LCM configuration, including registered components and the associated fleet, if any.

Request
URI
GET
https://vcf.broadcom.com/sddc-lcm/v1/config
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Config of type(s) application/json
{
    "sddcManager": {
        "fqdn": "fqdn",
        "certificate": "certificate"
    },
    "vspClusters": [
        {
            "fqdn": "fqdn",
            "certificate": "certificate",
            "id": "id",
            "type": "MANAGEMENT"
        },
        {
            "fqdn": "fqdn",
            "certificate": "certificate",
            "id": "id",
            "type": "MANAGEMENT"
        }
    ],
    "sddcGroupId": "sddcGroupId",
    "vcenter": {
        "fqdn": "fqdn",
        "sslThumbprint": "sslThumbprint",
        "id": "id"
    },
    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
    "version": "version",
    "sddcGroupName": "sddcGroupName",
    "status": "HEALTHY",
    "fleetLcm": {
        "fqdn": "fqdn",
        "certificate": "certificate"
    }
}
string As uuid As uuid
id
Optional

id

string
version
Optional

version

string
status
Optional

A common status object to define the health of a service.

Enumeration: HEALTHY, OFFLINE
object
fleetLcm
Optional

fleetLcm

string
sddcGroupId
Optional

SDDC Group identifier.

string
sddcGroupName
Optional

SDDC Group name.

object
sddcManager
Optional

sddcManager

object
vcenter
Optional

vcenter

array of object
vspClusters
Optional

vspClusters


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required  

Unique error code for programmatic identification.

object
message
Required  

message

object
resolution
Required  

resolution

string
referenceId
Required  

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required  

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required  

Unique error code for programmatic identification.

object
message
Required  

message

object
resolution
Required  

resolution

string
referenceId
Required  

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required  

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sddc-lcm/v1/config